=== debian/changelog ===
ros-nodelet-core (1.9.3-2) unstable; urgency=medium

  * add dependencies

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jan 2016 15:13:32 +0100

ros-nodelet-core (1.9.3-1) unstable; urgency=medium

  * Initial release (Closes: #806281)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sat, 26 Dec 2015 01:34:44 +0000
