=== debian/control ===
Source: ros-nodelet-core
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 9), catkin (>> 0.6.16-2), libbondcpp-dev, ros-cmake-modules,
		libbond-dev, ros-message-runtime, libroscpp-core-dev,
		libstd-msgs-dev, libroscpp-dev, librosconsole-dev,
		libros-rosgraph-msgs-dev, libxmlrpcpp-dev,
		libsmc-dev, ros-message-generation, pluginlib-dev,
		libclass-loader-dev, libroslib-dev,
		libdynamic-reconfigure-config-init-mutex-dev, libboost-thread-dev,
		libboost-dev, dh-python, python-dev, uuid-dev, python-nose, libroscpp-msgs-dev,
		python-dynamic-reconfigure, python-roslib
Standards-Version: 3.9.6
Section: libs
Homepage: http://wiki.ros.org/nodelet_core
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-nodelet-core.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-nodelet-core.git

Package: libnodelet-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libboost-dev, libbondcpp-dev, ros-cmake-modules, ros-message-runtime, pluginlib-dev, librosconsole-dev, libstd-msgs-dev, uuid-dev
Description: Robot OS nodelet library - service header files
 This package is part of Robot OS (ROS). Nodelet is designed to
 provide a way to run multiple algorithms in the same process with
 zero copy transport between algorithms. The nodelet base class needed
 for implementing a nodelet, and the NodeletLoader class used for
 instantiating nodelets are provided.
 .
 This package contains the development files for the service.

Package: python-nodelet
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Robot OS nodelet library - service files - Python
 This package is part of Robot OS (ROS). Nodelet is designed to
 provide a way to run multiple algorithms in the same process with
 zero copy transport between algorithms. The nodelet base class needed
 for implementing a nodelet, and the NodeletLoader class used for
 instantiating nodelets are provided.
 .
 This package contains the Python interface.

Package: cl-nodelet
Section: lisp
Architecture: all
Depends: ${misc:Depends}
Description: Robot OS nodelet library - service files - LISP
 This package is part of Robot OS (ROS). Nodelet is designed to
 provide a way to run multiple algorithms in the same process with
 zero copy transport between algorithms. The nodelet base class needed
 for implementing a nodelet, and the NodeletLoader class used for
 instantiating nodelets are provided.
 .
 This package contains the LISP interface.

Package: libnodeletlib-dev
Section: libdevel
Architecture: any
Depends: libnodeletlib0d (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, libbondcpp-dev, ros-message-runtime, pluginlib-dev, librosconsole-dev, libroscpp-dev, libstd-msgs-dev, libnodelet-dev
Description: Robot OS nodelet library - development
 This package is part of Robot OS (ROS). Nodelet is designed to
 provide a way to run multiple algorithms in the same process with
 zero copy transport between algorithms. The nodelet base class needed
 for implementing a nodelet, and the NodeletLoader class used for
 instantiating nodelets are provided.
 .
 This package contains the development files for the library.

Package: libnodeletlib0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Robot OS nodelet library
 This package is part of Robot OS (ROS). Nodelet is designed to
 provide a way to run multiple algorithms in the same process with
 zero copy transport between algorithms. The nodelet base class needed
 for implementing a nodelet, and the NodeletLoader class used for
 instantiating nodelets are provided.
 .
 This package contains the library.

Package: libnodeletlib-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: Robot OS nodelet library
 This package is part of Robot OS (ROS). Nodelet is designed to
 provide a way to run multiple algorithms in the same process with
 zero copy transport between algorithms. The nodelet base class needed
 for implementing a nodelet, and the NodeletLoader class used for
 instantiating nodelets are provided.
 .
 This package contains the tools.

Package: libnodelet-topic-tools-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libboost-thread-dev, libboost-dev, libdynamic-reconfigure-config-init-mutex-dev
Description: Robot OS nodelet_topic_tools library - development files
 This package is part of Robot OS (ROS). Nodelet is designed to
 provide a way to run multiple algorithms in the same process with
 zero copy transport between algorithms.
 .
 This package contains the development files for common nodelet tools
 such as a mux, demux and throttle.

Package: python-nodelet-topic-tools
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Robot OS nodelet_topic_tools library - service files
 This package is part of Robot OS (ROS). Nodelet is designed to
 provide a way to run multiple algorithms in the same process with
 zero copy transport between algorithms.
 .
 This package contains the generated Python package for common
 nodelet tools such as a mux, demux and throttle.
