## ros-nodelet-core 1.9.5

=== test_nodelet_topic_tools/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
   include_directories(SYSTEM ${catkin_INCLUDE_DIRS})
   add_library(test_nodelet_topic_tools test/string_nodelet_throttle.cpp)
   target_link_libraries(test_nodelet_topic_tools ${catkin_LIBRARIES})
-  add_dependencies(test_nodelet_topic_tools ${nodelet_topic_tools_EXPORTED_TARGETS})
+  add_dependencies(test_nodelet_topic_tools ${catkin_EXPORTED_TARGETS})
 
   add_rostest(test/test_nodelet_throttle.launch)
 endif()
