=== debian/changelog ===
ros-nodelet-core (1.9.5-2build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 21:51:10 +0000

ros-nodelet-core (1.9.5-2) unstable; urgency=medium

  * rebuild for changes in ros-genlisp

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Wed, 13 Jul 2016 22:27:16 +0200

ros-nodelet-core (1.9.5-1) unstable; urgency=medium

  * Imported Upstream version 1.9.5

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jul 2016 23:16:43 +0200

ros-nodelet-core (1.9.3-3) unstable; urgency=medium

  * Adopt to new libexec location in catkin

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Mon, 30 May 2016 13:37:12 +0200
