=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
            Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 9), catkin (>> 0.6.16-2), libbondcpp-dev, ros-cmake-modules,
+Build-Depends: debhelper (>= 9), catkin (>= 0.6.16-4), libbondcpp-dev, ros-cmake-modules,
 		libbond-dev, ros-message-runtime, libroscpp-core-dev,
 		libstd-msgs-dev, libroscpp-dev, librosconsole-dev,
 		libros-rosgraph-msgs-dev, libxmlrpcpp-dev,
