## ros-nodelet-core 1.9.8

=== test_nodelet/CMakeLists.txt ===
--- 
+++ 
@@ -29,6 +29,8 @@
   add_dependencies(tests test_console)
 
   add_rostest(test/test_console.launch)
+  add_rostest(test/test_bond_break_on_shutdown.launch)
+  add_rostest(test/test_unload_called_twice.launch)
 
   # Not a real test. Tries to measure overhead of CallbackQueueManager.
   add_executable(benchmark src/benchmark.cpp)
