=== debian/changelog ===
ros-nodelet-core (1.9.8-2build2) cosmic; urgency=medium

  * Rebuild against new libtinyxml2-6a.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 08 Aug 2018 12:20:05 +0200

ros-nodelet-core (1.9.8-2build1) cosmic; urgency=medium

  * Rebuild against new libtinyxml2-6a.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 08 Aug 2018 12:03:18 +0200

ros-nodelet-core (1.9.8-2) unstable; urgency=medium

  * add Multi-Arch according to hinter
  * Update watch file
  * Update Vcs URLs to salsa.d.o
  * Add R³
  * http -> https
  * Fix roscpp-msg* dependency
  * Bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 31 Jul 2018 22:27:42 +0200

ros-nodelet-core (1.9.8-1) unstable; urgency=medium

  * New upstream version 1.9.8

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 17 Nov 2016 18:35:52 +0100

ros-nodelet-core (1.9.7-2) unstable; urgency=medium

  * Reupload because of broken ros-comm

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 04 Nov 2016 22:11:15 +0100

ros-nodelet-core (1.9.7-1) unstable; urgency=medium

  * New upstream version 1.9.7

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 04 Nov 2016 09:51:04 +0100

ros-nodelet-core (1.9.6-1) unstable; urgency=medium

  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Update Vcs URLs
  * Update my email address
  * New upstream version 1.9.6

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 24 Sep 2016 17:58:25 +0200
