=== debian/control ===
--- 
+++ 
@@ -2,26 +2,28 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
+           Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 9), catkin (>= 0.6.16-4), libbondcpp-dev, ros-cmake-modules,
+Build-Depends: debhelper (>= 11), catkin, libbondcpp-dev, ros-cmake-modules,
 		libbond-dev, ros-message-runtime, libroscpp-core-dev,
 		libstd-msgs-dev, libroscpp-dev, librosconsole-dev,
 		libros-rosgraph-msgs-dev, libxmlrpcpp-dev,
 		libsmc-dev, ros-message-generation, pluginlib-dev,
 		libclass-loader-dev, libroslib-dev,
 		libdynamic-reconfigure-config-init-mutex-dev, libboost-thread-dev,
-		libboost-dev, dh-python, python-dev, uuid-dev, python-nose, libroscpp-msgs-dev,
+		libboost-dev, dh-python, python-dev, uuid-dev, python-nose, libroscpp-msg-dev,
 		python-dynamic-reconfigure, python-roslib
-Standards-Version: 3.9.6
+Standards-Version: 4.1.5
 Section: libs
-Homepage: http://wiki.ros.org/nodelet_core
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-nodelet-core.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-nodelet-core.git
+Rules-Requires-Root: no
+Homepage: https://wiki.ros.org/nodelet_core
+Vcs-Git: https://salsa.debian.org/science-team/ros-nodelet-core.git
+Vcs-Browser: https://salsa.debian.org/science-team/ros-nodelet-core
 
 Package: libnodelet-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, libboost-dev, libbondcpp-dev, ros-cmake-modules, ros-message-runtime, pluginlib-dev, librosconsole-dev, libstd-msgs-dev, uuid-dev
 Description: Robot OS nodelet library - service header files
  This package is part of Robot OS (ROS). Nodelet is designed to
@@ -48,6 +50,7 @@
 Package: cl-nodelet
 Section: lisp
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Robot OS nodelet library - service files - LISP
  This package is part of Robot OS (ROS). Nodelet is designed to
