## ros-nodelet-core 1.9.16

=== nodelet/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,15 @@
 project(nodelet)
 
 ## Find catkin dependencies
-find_package(catkin REQUIRED bondcpp cmake_modules message_generation pluginlib rosconsole roscpp std_msgs)
+find_package(catkin REQUIRED
+  bondcpp
+  cmake_modules
+  message_generation
+  pluginlib
+  rosconsole
+  roscpp
+  std_msgs
+)
 
 ## Find Boost (only headers)
 find_package(Boost REQUIRED)
@@ -17,13 +25,17 @@
 generate_messages(DEPENDENCIES std_msgs)
 
 catkin_package(
-  INCLUDE_DIRS include ${UUID_INCLUDE_DIRS}
-  LIBRARIES nodeletlib ${UUID_LIBRARIES}
+  INCLUDE_DIRS include
+  LIBRARIES nodeletlib
   CATKIN_DEPENDS bondcpp message_runtime pluginlib rosconsole roscpp std_msgs
   DEPENDS Boost
 )
 
-include_directories(include ${catkin_INCLUDE_DIRS} ${BOOST_INCLUDE_DIRS})
+include_directories(
+  include
+  ${catkin_INCLUDE_DIRS}
+  ${BOOST_INCLUDE_DIRS}
+  ${UUID_INCLUDE_DIRS})
 
 # Debug only, collects stats on how callbacks are doled out to worker threads
 #add_definitions(-DNODELET_QUEUE_DEBUG)
@@ -36,6 +48,8 @@
 target_link_libraries(nodelet nodeletlib ${UUID_LIBRARIES} ${catkin_LIBRARIES} ${BOOST_LIBRARIES})
 
 # install
+catkin_install_python(PROGRAMS scripts/declared_nodelets scripts/list_nodelets
+                      DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
 install(DIRECTORY include/${PROJECT_NAME}/
         DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
 )
