=== nodelet_core/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(nodelet_core)
find_package(catkin REQUIRED)
catkin_metapackage()
