=== debian/changelog ===
ros-nodelet-core (1.9.16-1) unstable; urgency=medium

  * New upstream version 1.9.16
  * Update copyright
  * Rebase patch
  * Bump policy version (no changes)
  * simplify d/rules
  * Fix lintian warning
  * Bump Soname due to ABI change
  * Add Python 3 package

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 03 Nov 2018 13:49:15 +0100
