=== debian/control ===
--- 
+++ 
@@ -12,8 +12,9 @@
 		libclass-loader-dev, libroslib-dev,
 		libdynamic-reconfigure-config-init-mutex-dev, libboost-thread-dev,
 		libboost-dev, dh-python, python-dev, uuid-dev, python-nose, libroscpp-msg-dev,
-		python-dynamic-reconfigure, python-roslib
-Standards-Version: 4.1.5
+		python-dynamic-reconfigure, python-roslib, python3-dev,
+		python3-nose, python3-dynamic-reconfigure, python3-roslib,
+Standards-Version: 4.2.1
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/nodelet_core
@@ -38,14 +39,27 @@
 Section: python
 Architecture: all
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Description: Robot OS nodelet library - service files - Python
+Description: Robot OS nodelet library - service files - Python 2
  This package is part of Robot OS (ROS). Nodelet is designed to
  provide a way to run multiple algorithms in the same process with
  zero copy transport between algorithms. The nodelet base class needed
  for implementing a nodelet, and the NodeletLoader class used for
  instantiating nodelets are provided.
  .
- This package contains the Python interface.
+ This package contains the Python 2 interface.
+
+Package: python3-nodelet
+Section: python
+Architecture: all
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Description: Robot OS nodelet library - service files - Python 3
+ This package is part of Robot OS (ROS). Nodelet is designed to
+ provide a way to run multiple algorithms in the same process with
+ zero copy transport between algorithms. The nodelet base class needed
+ for implementing a nodelet, and the NodeletLoader class used for
+ instantiating nodelets are provided.
+ .
+ This package contains the Python 3 interface.
 
 Package: cl-nodelet
 Section: lisp
@@ -64,7 +78,7 @@
 Package: libnodeletlib-dev
 Section: libdevel
 Architecture: any
-Depends: libnodeletlib0d (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, libbondcpp-dev, ros-message-runtime, pluginlib-dev, librosconsole-dev, libroscpp-dev, libstd-msgs-dev, libnodelet-dev
+Depends: libnodeletlib1d (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, libbondcpp-dev, ros-message-runtime, pluginlib-dev, librosconsole-dev, libroscpp-dev, libstd-msgs-dev, libnodelet-dev
 Description: Robot OS nodelet library - development
  This package is part of Robot OS (ROS). Nodelet is designed to
  provide a way to run multiple algorithms in the same process with
@@ -74,7 +88,7 @@
  .
  This package contains the development files for the library.
 
-Package: libnodeletlib0d
+Package: libnodeletlib1d
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
@@ -89,7 +103,7 @@
 
 Package: libnodeletlib-tools
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, python
 Multi-Arch: foreign
 Description: Robot OS nodelet library
  This package is part of Robot OS (ROS). Nodelet is designed to
@@ -116,10 +130,22 @@
 Section: python
 Architecture: all
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Description: Robot OS nodelet_topic_tools library - service files
+Description: Robot OS nodelet_topic_tools library - Python 2 service files
  This package is part of Robot OS (ROS). Nodelet is designed to
  provide a way to run multiple algorithms in the same process with
  zero copy transport between algorithms.
  .
- This package contains the generated Python package for common
+ This package contains the generated Python 2 package for common
  nodelet tools such as a mux, demux and throttle.
+
+Package: python3-nodelet-topic-tools
+Section: python
+Architecture: all
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Description: Robot OS nodelet_topic_tools library - Python 3 service files
+ This package is part of Robot OS (ROS). Nodelet is designed to
+ provide a way to run multiple algorithms in the same process with
+ zero copy transport between algorithms.
+ .
+ This package contains the generated Python 3 package for common
+ nodelet tools such as a mux, demux and throttle.
