## ros-nodelet-core 1.10.0

=== nodelet/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(nodelet)
 
 ## Find catkin dependencies
