=== nodelet_core/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(nodelet_core)
find_package(catkin REQUIRED)
catkin_metapackage()
