=== nodelet_topic_tools/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(nodelet_topic_tools)
 
 find_package(catkin REQUIRED COMPONENTS dynamic_reconfigure)
