=== debian/changelog ===
ros-nodelet-core (1.10.0-3) unstable; urgency=medium

  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 16:48:37 +0100

ros-nodelet-core (1.10.0-2) unstable; urgency=medium

  * Add patch for Boost 1.74
  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 15 Dec 2020 09:58:33 +0100

ros-nodelet-core (1.10.0-1) unstable; urgency=medium

  * New upstream version 1.10.0
  * Remove Thomas from Uploaders, thanks for working on this
  * bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 20 Jun 2020 08:47:31 +0200

ros-nodelet-core (1.9.16-2) unstable; urgency=medium

  * Drop Python 2 packages (Closes: #938386)
  * Bump policy version (no changes)
  * switch to debhelper-compat and debhelper 12
  * simplify d/watch
  * add Salsa CI
  * add MA hint

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 25 Oct 2019 16:14:43 +0200
