=== debian/control ===
--- 
+++ 
@@ -1,20 +1,18 @@
 Source: ros-nodelet-core
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <jspricke@debian.org>,
+Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 11), catkin, libbondcpp-dev, ros-cmake-modules,
+Build-Depends: debhelper-compat (= 13), catkin, libbondcpp-dev, ros-cmake-modules,
 		libbond-dev, ros-message-runtime, libroscpp-core-dev,
 		libstd-msgs-dev, libroscpp-dev, librosconsole-dev,
 		libros-rosgraph-msgs-dev, libxmlrpcpp-dev,
 		libsmc-dev, ros-message-generation, pluginlib-dev,
 		libclass-loader-dev, libroslib-dev,
 		libdynamic-reconfigure-config-init-mutex-dev, libboost-thread-dev,
-		libboost-dev, dh-python, python-dev, uuid-dev, python-nose, libroscpp-msg-dev,
-		python-dynamic-reconfigure, python-roslib, python3-dev,
-		python3-nose, python3-dynamic-reconfigure, python3-roslib,
-Standards-Version: 4.2.1
+		libboost-dev, dh-sequence-python3, python3-dev, uuid-dev, python3-nose, libroscpp-msg-dev,
+		python3-dynamic-reconfigure, python3-roslib,
+Standards-Version: 4.5.1
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/nodelet_core
@@ -34,19 +32,6 @@
  instantiating nodelets are provided.
  .
  This package contains the development files for the service.
-
-Package: python-nodelet
-Section: python
-Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Description: Robot OS nodelet library - service files - Python 2
- This package is part of Robot OS (ROS). Nodelet is designed to
- provide a way to run multiple algorithms in the same process with
- zero copy transport between algorithms. The nodelet base class needed
- for implementing a nodelet, and the NodeletLoader class used for
- instantiating nodelets are provided.
- .
- This package contains the Python 2 interface.
 
 Package: python3-nodelet
 Section: python
@@ -78,6 +63,7 @@
 Package: libnodeletlib-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libnodeletlib1d (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, libbondcpp-dev, ros-message-runtime, pluginlib-dev, librosconsole-dev, libroscpp-dev, libstd-msgs-dev, libnodelet-dev
 Description: Robot OS nodelet library - development
  This package is part of Robot OS (ROS). Nodelet is designed to
@@ -103,9 +89,9 @@
 
 Package: libnodeletlib-tools
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, python
+Depends: ${shlibs:Depends}, ${misc:Depends}, python3
 Multi-Arch: foreign
-Description: Robot OS nodelet library
+Description: Robot OS nodelet library - tools
  This package is part of Robot OS (ROS). Nodelet is designed to
  provide a way to run multiple algorithms in the same process with
  zero copy transport between algorithms. The nodelet base class needed
@@ -126,18 +112,6 @@
  This package contains the development files for common nodelet tools
  such as a mux, demux and throttle.
 
-Package: python-nodelet-topic-tools
-Section: python
-Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Description: Robot OS nodelet_topic_tools library - Python 2 service files
- This package is part of Robot OS (ROS). Nodelet is designed to
- provide a way to run multiple algorithms in the same process with
- zero copy transport between algorithms.
- .
- This package contains the generated Python 2 package for common
- nodelet tools such as a mux, demux and throttle.
-
 Package: python3-nodelet-topic-tools
 Section: python
 Architecture: all
