=== debian/changelog ===
ros-nodelet-core (1.10.2-1) unstable; urgency=medium

  * New upstream version 1.10.2
  * Rebase patches
  * Install version.h

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 08 Oct 2021 09:47:03 +0200

ros-nodelet-core (1.10.1-1) unstable; urgency=medium

  * New upstream version 1.10.1
  * Add lintian override for arch:any.
    Multi-Arch interpreter problem as explained in #901696

 -- Timo Röhling <roehling@debian.org>  Sun, 26 Sep 2021 18:43:42 +0200

ros-nodelet-core (1.10.0-5) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * Fix Multiarch hinter issues

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Sep 2021 22:43:23 +0200

ros-nodelet-core (1.10.0-4) experimental; urgency=medium

  * Team upload.
  * Move pkg-config and CMake config files to /usr/lib/<triplet>
  * Bump Standards-Version to 4.6.0 (no changes)

 -- Timo Röhling <roehling@debian.org>  Tue, 21 Sep 2021 00:08:26 +0200
