=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper-compat (= 13), catkin, libbondcpp-dev, ros-cmake-modules,
+Build-Depends: debhelper-compat (= 13), catkin (>= 0.8.10-1~), libbondcpp-dev, ros-cmake-modules,
 		libbond-dev, ros-message-runtime, libroscpp-core-dev,
 		libstd-msgs-dev, libroscpp-dev, librosconsole-dev,
 		libros-rosgraph-msgs-dev, libxmlrpcpp-dev,
@@ -12,7 +12,7 @@
 		libdynamic-reconfigure-config-init-mutex-dev, libboost-thread-dev,
 		libboost-dev, dh-sequence-python3, python3-dev, uuid-dev, python3-nose, libroscpp-msg-dev,
 		python3-dynamic-reconfigure, python3-roslib,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/nodelet_core
@@ -103,6 +103,7 @@
 Package: libnodelet-topic-tools-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, libboost-thread-dev, libboost-dev, libdynamic-reconfigure-config-init-mutex-dev
 Description: Robot OS nodelet_topic_tools library - development files
  This package is part of Robot OS (ROS). Nodelet is designed to
