=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-nodelet-core-$1.tar.gz%" \
    https://github.com/ros/nodelet_core/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
