## ros-nodelet-core 1.11.0

=== nodelet/CMakeLists.txt ===
--- 
+++ 
@@ -65,6 +65,7 @@
                       DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
 install(DIRECTORY include/${PROJECT_NAME}/
         DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
+        FILES_MATCHING PATTERN "*.h"
 )
 install(TARGETS nodeletlib
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
