=== debian/changelog ===
ros-nodelet-core (1.11.0-3) unstable; urgency=medium

  * Wrap and sort Debian package files
  * Migrate to dh-ros
  * Enable all hardening flags
  * Bump Standards-Version to 4.7.0
  * Update d/watch to latest GitHub recipe
  * Add myself to uploaders

 -- Timo Röhling <roehling@debian.org>  Fri, 11 Oct 2024 00:19:44 +0200

ros-nodelet-core (1.11.0-2) unstable; urgency=medium

  * Drop python3-nose from Build-Depends (Closes: #1071697)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 24 May 2024 06:58:48 +0200

ros-nodelet-core (1.11.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.

  [ Jochen Sprickerhof ]
  * New upstream version 1.11.0
  * Rediff patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 13 Jan 2024 11:22:35 +0100
