## ros-nodelet-core 1.11.1

=== test_nodelet/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 
 project(test_nodelet)
 
@@ -29,8 +29,11 @@
   add_dependencies(tests test_console)
 
   add_rostest(test/test_console.launch)
-  add_rostest(test/test_bond_break_on_shutdown.launch)
-  add_rostest(test/test_unload_called_twice.launch)
+
+  # TODO(mjcarroll):Remove these tests until
+  # https://github.com/ros/rosconsole/issues/30 is resolved
+  # add_rostest(test/test_bond_break_on_shutdown.launch)
+  # add_rostest(test/test_unload_called_twice.launch)
 
   add_rostest_gtest(test_nodehandles_different_namespaces
                     test/test_nodehandles_different_namespaces.test
