=== debian/changelog ===
ros-nodelet-core (1.11.1-1) unstable; urgency=medium

  * New upstream version 1.11.1

 -- Timo Röhling <roehling@debian.org>  Sat, 23 Nov 2024 22:18:02 +0100
