=== debian/control ===
Source: ros-nodelet-core
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 catkin (>= 0.8.10-1~),
 debhelper-compat (= 13),
 dh-ros,
 dh-sequence-python3,
 libbond-dev,
 libbondcpp-dev,
 libboost-dev,
 libboost-thread-dev,
 libclass-loader-dev,
 libdynamic-reconfigure-config-init-mutex-dev,
 libros-rosgraph-msgs-dev,
 librosconsole-dev,
 libroscpp-core-dev,
 libroscpp-dev,
 libroscpp-msg-dev,
 libroslib-dev,
 libsmc-dev,
 libstd-msgs-dev,
 libxmlrpcpp-dev,
 pluginlib-dev,
 python3-dev,
 python3-dynamic-reconfigure,
 python3-roslib,
 ros-cmake-modules,
 ros-message-generation,
 ros-message-runtime,
 uuid-dev,
Standards-Version: 4.7.0
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/nodelet_core
Vcs-Git: https://salsa.debian.org/science-team/ros-nodelet-core.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-nodelet-core

Package: libnodelet-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libbondcpp-dev,
 libboost-dev,
 librosconsole-dev,
 libstd-msgs-dev,
 pluginlib-dev,
 ros-cmake-modules,
 ros-message-runtime,
 uuid-dev,
 ${misc:Depends},
Description: Robot OS nodelet library - service header files
 This package is part of Robot OS (ROS). Nodelet is designed to
 provide a way to run multiple algorithms in the same process with
 zero copy transport between algorithms. The nodelet base class needed
 for implementing a nodelet, and the NodeletLoader class used for
 instantiating nodelets are provided.
 .
 This package contains the development files for the service.

Package: cl-nodelet
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Robot OS nodelet library - service files - LISP
 This package is part of Robot OS (ROS). Nodelet is designed to
 provide a way to run multiple algorithms in the same process with
 zero copy transport between algorithms. The nodelet base class needed
 for implementing a nodelet, and the NodeletLoader class used for
 instantiating nodelets are provided.
 .
 This package contains the LISP interface.

Package: libnodelet-topic-tools-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libboost-dev,
 libboost-thread-dev,
 libdynamic-reconfigure-config-init-mutex-dev,
 ${misc:Depends},
Description: Robot OS nodelet_topic_tools library - development files
 This package is part of Robot OS (ROS). Nodelet is designed to
 provide a way to run multiple algorithms in the same process with
 zero copy transport between algorithms.
 .
 This package contains the development files for common nodelet tools
 such as a mux, demux and throttle.

Package: libnodeletlib-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libbondcpp-dev,
 libnodelet-dev,
 libnodeletlib1d (= ${binary:Version}),
 librosconsole-dev,
 libroscpp-dev,
 libstd-msgs-dev,
 pluginlib-dev,
 ros-message-runtime,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Robot OS nodelet library - development
 This package is part of Robot OS (ROS). Nodelet is designed to
 provide a way to run multiple algorithms in the same process with
 zero copy transport between algorithms. The nodelet base class needed
 for implementing a nodelet, and the NodeletLoader class used for
 instantiating nodelets are provided.
 .
 This package contains the development files for the library.

Package: libnodeletlib-tools
Architecture: any
Depends:
 python3,
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: foreign
Description: Robot OS nodelet library - tools
 This package is part of Robot OS (ROS). Nodelet is designed to
 provide a way to run multiple algorithms in the same process with
 zero copy transport between algorithms. The nodelet base class needed
 for implementing a nodelet, and the NodeletLoader class used for
 instantiating nodelets are provided.
 .
 This package contains the tools.

Package: libnodeletlib1d
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Robot OS nodelet library
 This package is part of Robot OS (ROS). Nodelet is designed to
 provide a way to run multiple algorithms in the same process with
 zero copy transport between algorithms. The nodelet base class needed
 for implementing a nodelet, and the NodeletLoader class used for
 instantiating nodelets are provided.
 .
 This package contains the library.

Package: python3-nodelet
Section: python
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Robot OS nodelet library - service files - Python 3
 This package is part of Robot OS (ROS). Nodelet is designed to
 provide a way to run multiple algorithms in the same process with
 zero copy transport between algorithms. The nodelet base class needed
 for implementing a nodelet, and the NodeletLoader class used for
 instantiating nodelets are provided.
 .
 This package contains the Python 3 interface.

Package: python3-nodelet-topic-tools
Section: python
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Robot OS nodelet_topic_tools library - Python 3 service files
 This package is part of Robot OS (ROS). Nodelet is designed to
 provide a way to run multiple algorithms in the same process with
 zero copy transport between algorithms.
 .
 This package contains the generated Python 3 package for common
 nodelet tools such as a mux, demux and throttle.
