=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export ROS_SKIP_PACKAGES = \
	nodelet_core \
	test_nodelet \
	test_nodelet_topic_tools

%:
	dh $@ --buildsystem=ros
